rar (2:6.23-1~deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2023-40477:
    A specific flaw within the processing of recovery volumes exists in RAR,
    an archive program for rar files. It allows remote attackers to execute
    arbitrary code on affected installations. User interaction is required to
    exploit this vulnerability. The target must visit a malicious page or open
    a malicious rar file.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Aug 2023 07:38:21 +0200

rar (2:6.23-1) unstable; urgency=medium

  * New upstream version (Closes: #1049870)
  * Add myself to Uploaders (Closes: #1049871)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 17:28:59 +0200

rar (2:6.20-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #1029786)

 -- Bastian Germann <bage@debian.org>  Fri, 27 Jan 2023 18:37:39 +0100

rar (2:6.20~b1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #1012228, CVE-2022-30333)
  * d/watch: Add versionmangle for beta versions
  * Update debhelper-compat to level 12
  * d/control: Add XS-Autobuild: yes

 -- Bastian Germann <bage@debian.org>  Wed, 26 Oct 2022 19:10:57 +0200

rar (2:6.11-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
  * 3rd party BSD licenses do not apply to default.sfx anymore
  * Do not strip rar for distribution permission compliance
  * Include makefile for distribution permission compliance
  * d/rules: Use DEB_HOST_ARCH over DEB_BUILD_ARCH to enable cross build

 -- Bastian Germann <bage@debian.org>  Wed, 16 Mar 2022 20:39:28 +0200

rar (2:5.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * DEP-5 copyright file with licenses fixed (Closes: #994951)
  * Package unrar again for distribution permission compliance (Closes: #994956)
  * Exclude txt files from compression so they are untouched
  * Update Debian's manpage (Closes: #995001)
  * Remove autobuild tag (Closes: #862028)
  * d/watch: Make the package a MUT (download both origtars)

 -- Bastian Germann <bage@debian.org>  Wed, 13 Oct 2021 18:51:43 +0200

rar (2:5.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Tue, 29 Aug 2017 11:10:31 +0100

rar (2:5.4.0+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Upstream re-release excludes statically linked rar
    (Closes: #693396, #860952)
  * Install dynamically linked rar
  * Use debhelper compatibility level 9

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 04 May 2017 03:52:05 +0100

rar (2:5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Mon, 13 Feb 2017 17:04:43 +0000

rar (2:5.3.b2-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Mon, 10 Aug 2015 14:39:53 +0100

rar (2:5.2.1b2-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Tue, 03 Feb 2015 12:21:46 +0000

rar (2:4.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #661065)

 -- Martin Meredith <mez@debian.org>  Mon, 12 Nov 2012 11:10:46 +0000

rar (2:4.0.b3-1) unstable; urgency=low

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Tue, 28 Dec 2010 01:13:08 +0000

rar (2:4.0.b2-2) unstable; urgency=low

  * Added in 64 bit source package
  * Put 64 bit binary in 64 bit package
  * Remove ia32 depends

 -- Martin Meredith <mez@debian.org>  Sun, 12 Dec 2010 19:44:14 +0000

rar (2:4.0.b2-1) unstable; urgency=low

  * New upstream release
  * Added ia32-libs Depends for amd64 (Closes: #602266)
  * Bumped Standards Version

 -- Martin Meredith <mez@debian.org>  Sun, 12 Dec 2010 03:07:44 +0000

rar (2:3.9.3-1) unstable; urgency=low

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Fri, 26 Mar 2010 10:18:04 +0000

rar (2:3.9.2-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards Version

 -- Martin Meredith <mez@debian.org>  Thu, 11 Mar 2010 18:44:23 +0000

rar (2:3.9.1-1) unstable; urgency=low

  * New upstream release
  * Added ${misc:Depends} (Though, there won't be anything here!)
  * Added Lintian Override for missing Depends:

 -- Martin Meredith <mez@debian.org>  Sun, 03 Jan 2010 19:04:10 +0000

rar (2:3.9.0-1) unstable; urgency=low

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Fri, 18 Sep 2009 12:32:52 +0100

rar (1:3.9.b3-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version

 -- Martin Meredith <mez@debian.org>  Sat, 18 Jul 2009 13:36:28 +0100

rar (1:3.9.b2-1) unstable; urgency=low

  * New upstream release
  * Updated to new Maintainer (for debian email)

 -- Martin Meredith <mez@debian.org>  Sat, 06 Jun 2009 17:53:52 +0100

rar (1:3.8.0-2) unstable; urgency=low

  * Fixed watch file

 -- Martin Meredith <mez@ubuntu.com>  Thu, 11 Dec 2008 23:56:33 +0000

rar (1:3.8.0-1) unstable; urgency=low

  * New upstream release
  * Changed Watch file that didn't seem to upload correctly for the last
    upload

 -- Martin Meredith <mez@ubuntu.com>  Fri, 17 Oct 2008 09:26:09 +0100

rar (1:3.8b3-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file to be more stringent on what it selects

 -- Martin Meredith <mez@ubuntu.com>  Sun, 13 Jul 2008 14:51:40 +0100

rar (1:3.8b2-2) unstable; urgency=low

  * Backed out debconf changes - caused install issue and not needed
    due to me misreading the licence (Closes: #486822)
  * Changed debhelper depends to 6 to help compatibilty with ubuntu

 -- Martin Meredith <mez@ubuntu.com>  Wed, 18 Jun 2008 14:00:53 +0100

rar (1:3.8b2-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards Version
  * Bumped debhelper Version
  * Added DM-Upload-Allowed control field
  * Updated Copyright for new licence
  * Added debconf scripts to show licence
  * Removed ia32-libs depends - static binary, so not needed

 -- Martin Meredith <mez@ubuntu.com>  Tue, 17 Jun 2008 23:11:36 +0100

rar (1:3.7.1-2) unstable; urgency=low

  [ Martin Meredith ]
  * Bumped Debhelper compatibility level
  * Bumped Standards Version
  * Included headers/Information required for Auto-Buildding

  [ Francois Marier ]
  * Bumped Debhelper dependency
  * Fixed manpage hyphen problems

 -- Martin Meredith <mez@ubuntu.com>  Thu, 01 May 2008 18:17:10 +1200

rar (1:3.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #451572)
  * Added watch file
  * Moved Homepage to Header
  * Added linda overrides

 -- Martin Meredith <mez@ubuntu.com>  Fri, 23 Nov 2007 20:41:34 +0000

rar (1:3.7b1-2) unstable; urgency=high

  * Install rar_static instead of rar as rar binary (Closes: 410754)

 -- Martin Meredith <mez@ubuntu.com>  Wed, 14 Feb 2007 05:04:48 +0000

rar (1:3.7b1-1) unstable; urgency=high

  * New upstream release (Closes: #410582)

 -- Martin Meredith <mez@ubuntu.com>  Mon, 12 Feb 2007 02:59:57 +0000

rar (1:3.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #380679, #309184)
  * Updated Standards Version
  * Updated compat level and debhelper depends
  * Added Website to control file
  * Add Support for amd64 (Closes: #280595)
  * Added . to make lintian override work
  * Updated control file to read correctly for homepage

 -- Martin Meredith <mez@ubuntu.com>  Wed, 17 Jan 2007 06:18:36 +0000

rar (1:3.5.1-1) unstable; urgency=low

  * New Upstream Release (Closes: 280595)
  * New Maintainer (Closes: 349311)
  * Patched Man page (Closes: 284373)
  * Cleaned up debian/rules
  * Modified debian/copyright to reflect recent changes
  * Added epoch to correct version numbers

 -- Martin Meredith <mez@ubuntu.com>  Sun, 22 Jan 2006 17:04:44 +0000

rar (3.30-2) unstable; urgency=low

  * New Maintainer
  * Updated standards version to 3.6.1

 -- Chris Anderson <chris@nullcode.org>  Thu, 24 Jun 2004 02:33:26 -0400

rar (3.30-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Tue,  3 Feb 2004 12:45:36 +0100

rar (3.20-2) unstable; urgency=low

  * Generate Depends: automagicly (closes: #197270)
  * Remove emacs thingy from changelog

 -- Petr Cech <cech@debian.org>  Fri,  4 Jul 2003 15:39:13 +0200

rar (3.20-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Mon,  2 Jun 2003 16:43:15 +0200

rar (3.0-1) unstable; urgency=low

  * New upstream version
  * Updates to debian/rar.1

 -- Petr Cech <cech@debian.org>  Sat, 18 May 2002 01:22:01 +0200

rar (3.0-0b5.1) unstable; urgency=medium

  * Internal testing release. Unreleased to public.
  * New upstream beta release.
  * Urgency set to get this into woody

 -- Petr Cech <cech@debian.org>  Mon, 22 Apr 2002 13:33:41 +0200

rar (2.80-2) unstable; urgency=low

  * Put license.txt text into debian/copyright (closes: #95120)

 -- Petr Cech <cech@debian.org>  Tue, 24 Apr 2001 19:24:31 +0200

rar (2.80-1) unstable; urgency=low

  * New upstream release.
  * update package to latest standards (debhelper, Standards-Version)

 -- Petr Cech <cech@debian.org>  Wed,  4 Apr 2001 09:15:31 +0200

rar (2.71-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Petr Cech <cech@debian.org>  Fri, 23 Jun 2000 02:46:13 +0200

rar (2.70-1) unstable; urgency=low

  * New upstream release.
  * unrar now has it's own package.

 -- Petr Cech <cech@debian.org>  Fri,  2 Jun 2000 00:17:05 +0200

rar (2.60-1) unstable; urgency=low

  * New upstream release.
  * Standars-version: 3.0.1

 -- Petr Cech <cech@debian.org>  Tue,  2 Nov 1999 19:12:58 +0100

rar (2.50-1) unstable; urgency=low

  * New upstream release.
  * build against glibc2.

 -- Petr Cech <cech@debian.org>  Fri,  2 Apr 1999 12:53:43 +0200

rar (2.02-2) unstable; urgency=low

  * Written man page.

 -- Petr Cech <cech@debian.org>  Thu, 13 Aug 1998 23:45:12 +0200

rar (2.02-1) unstable; urgency=low

  * Initial Release.
  * Started to write a man page (not yet in binary package).

 -- Petr Cech <cech@debian.org>  Wed, 20 May 1998 21:00:33 +0200
